// creator  : weidu.exe (version 23600)
// argument : DABRON.DLG
// game     : .
// source   : ./override/DABRON.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~DABRON~

IF ~  Dead("Aldeth")
~ THEN BEGIN 0 // from:
  SAY #1306 /* ~Hold! You are the new mercenaries in town, are you not?~ */
  IF ~~ THEN REPLY #1314 /* ~Yes, that would be us.~ */ GOTO 2
  IF ~~ THEN REPLY #1315 /* ~Got the wrong people, fella.~ */ GOTO 1
  IF ~Global("X#QuaDab","GLOBAL",0)
InParty("quayle")
InMyArea("quayle")
!StateCheck("quayle",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#QuaDab","GLOBAL",1)~ EXTERN ~QUAYLJ~ 22
END

IF ~~ THEN BEGIN 1 // from: 11.1 2.2 0.1
  SAY #1307 /* ~Do not presume to lie to me, scum. It was you who killed my brother Aldeth, and it is you who shall pay!~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #26926 /* ~Dabron's revenge
A man named Dabron tried to kill me in revenge for the death of his brother, Aldeth, who I fought in the Cloakwood.~ */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 11.0 0.0
  SAY #1308 /* ~Then do you not admit to have killed a small group of hunters along the edge of Cloakwood?~ */
  IF ~~ THEN REPLY #1316 /* ~Yep, that was us.~ */ GOTO 4
  IF ~~ THEN REPLY #1317 /* ~Ah, no, we didn't do any such thing.~ */ GOTO 3
  IF ~~ THEN REPLY #11796 /* ~I admit the deed, but I can explain what happened.~ */ GOTO 1
END

IF ~~ THEN BEGIN 3 // from: 2.1
  SAY #1309 /* ~I grow tired of your falsehoods.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #26926 /* ~Dabron's revenge
A man named Dabron tried to kill me in revenge for the death of his brother, Aldeth, who I fought in the Cloakwood.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.0
  SAY #1310 /* ~One of the men you helped murder was a young man named Aldeth Sashenstar, perhaps you remember the name?~ */
  IF ~~ THEN REPLY #1318 /* ~How can we remember the name of someone we've never met?~ */ GOTO 5
  IF ~~ THEN REPLY #1319 /* ~Sorry, doesn't bring back any memories.~ */ GOTO 5
  IF ~~ THEN REPLY #1320 /* ~Aldeth? Yeah, I remember running him through. He was kind of the screaming type.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 4.1 4.0
  SAY #1311 /* ~You have spoken the harshest insult, not even remembering the name of the one you have murdered.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #26926 /* ~Dabron's revenge
A man named Dabron tried to kill me in revenge for the death of his brother, Aldeth, who I fought in the Cloakwood.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.2
  SAY #1312 /* ~Perhaps I should introduce myself, I am Dabron Sashenstar, the brother of the man you most foully killed. Draw steel, scum—it is time for justice to be served.~ */
  IF ~~ THEN REPLY #1321 /* ~We don't want to fight you.~ */ JOURNAL #26926 /* ~Dabron's revenge
A man named Dabron tried to kill me in revenge for the death of his brother, Aldeth, who I fought in the Cloakwood.~ */ GOTO 7
  IF ~~ THEN REPLY #1322 /* ~If you want a fight, we're fully prepared to give you one.~ */ DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #1313 /* ~That's too bad.~ */
  IF ~~ THEN DO ~Enemy()
~ JOURNAL #26926 /* ~Dabron's revenge
A man named Dabron tried to kill me in revenge for the death of his brother, Aldeth, who I fought in the Cloakwood.~ */ EXIT
END

IF ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 8 // from:
  SAY #6114 /* ~I am Dabron Sashenstar, brother of Aldeth Sashenstar. I've been away from Baldur's Gate for many years, as I am an explorer. I am a little unnerved at how powerful this "Iron Throne" has become within our city. I assume they will try to move in on the business my brother runs, the Merchants' League.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #26927 /* ~Investigating the Iron Throne
Once charmed, Dabron Sashenstar confessed that he suspects the Iron Throne is up to something sinister in Baldur's Gate.~ */ EXIT
END

IF ~~ THEN BEGIN 9 // from:
  SAY #8963 /* ~Get away from me!~ */
  IF ~~ THEN EXIT
END

IF ~  True()
~ THEN BEGIN 10 // from:
  SAY #18570 /* ~I have nothing to say to you, go away.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 11 // from:
  SAY #47488 /* ~Bah! Are you the new mercenaries, or not?~ */
  IF ~~ THEN REPLY #1314 /* ~Yes, that would be us.~ */ GOTO 2
  IF ~~ THEN REPLY #1315 /* ~Got the wrong people, fella.~ */ GOTO 1
END
